Older Citrix XenApp Infrastructure with New Clients

If you're using an older XenApp infrastructure like Secure Gateway 3.0 and you're unable to run the latest Receiver, but still need connectivity, this post is for you.  We've had success with using the Online Plug-in 12.3.  

One issue you may encounter when using the newer Receiver with older infrastructure is that the display may lock and stop updating unless you minimize the window and go back.  12.3 will most likely resolve this issue for you, but you may encounter other issues like "No value could be found for (ClientHosted Apps) that satisfies all lockdown requirements. The lockdown requirements in force may be conflicting."  If this happens, you can look for the String Value in the key "HKEY_CURRENT_USER\Software\Citrix\ICA Client\Engine\Lockdown Profiles\All Regions\Lockdown\Virtual Channels\Control" named "ClientHostedApps" and either create it or delete it.  This has solved the issue for us and others: https://forums.citrix.com/thread.jspa?threadID=293687.